import json

from queries import insert_image

with open("dict_case_idx.json", "r") as indexes:
    case_index_json = json.load(indexes)

with open("dict_case_map.json", "r") as map_files:
    case_maps_json = json.load(map_files)


for case_id in case_index_json:
    maps = case_maps_json[case_id]
    i=0
    for map in maps:
        # second map is filename path, dont know for server postgres location, so it may fail
        insert_image(map, case_id, i, map)
        i+=1


