from application.cbr.manual_weather.gaussian_curve_weather import GaussianCurveWeather
from application.cbr.manual_weather.linear_curve_weather import LinearCurveWeather
from application.cbr.manual_weather.quadratic_curve_weather import QuadraticCurveWeather
from model.Enums import WeatherEnum


def get_manual_weather_forecast(weather_type, a, b, c):
    if weather_type == WeatherEnum.LINEAL.value:
        return LinearCurveWeather(a, b, c).get_weather()
    elif weather_type == WeatherEnum.QUADRATIC.value:
        return QuadraticCurveWeather(a, b, c).get_weather()
    elif weather_type == WeatherEnum.GAUSSIAN.value:
        return GaussianCurveWeather(a, b, c).get_weather()
    else:
        return []
