from application.cbr.selection_mode_strat.selection_mode_strategy import SelectionModeStrategy


class NumberOfNeighbourStrategy(SelectionModeStrategy):

    def __init__(self, number_of_neighbours):
        self.number_of_neighbours = number_of_neighbours

    def select(self, cases):
        if len(cases) >= self.number_of_neighbours:
            return cases[0:self.number_of_neighbours]
        else:
            return cases[0:len(cases)]


