from flask import Flask
from routes.routes import my_routes
from services.init_data_service import init_variables


# Set up flask application

app = Flask(__name__)
app.register_blueprint(my_routes)
if __name__ == '__main__':
    init_variables()
    # Run application
    app.run(debug=False, host='0.0.0.0')
