import numpy as np
# Return int values from a TS_Value Array
from database.case_queries import get_dimension


def get_ts_values(array):
    ts_values = []
    for serie in array:
        ts_values.append(np.array(list(map(values, serie))))
    return ts_values


# Auxiliar function for map TS_Value array into int value array
def values(ts_vector):
    return ts_vector.value


# Get dimensions array
def get_dimensions(location_id):
    dimensions = []
    avgs = get_dimension(location_id, 'Avg')
    for dim in avgs:
        dim = dim + ('avg',)
        dimensions.append(dim)
    no_avgs = get_dimension(location_id)
    for dim in no_avgs:
        dim = dim + ('no_avg',)
        dimensions.append(dim)
    return dimensions
