
from application.cbr.distance_strat.distance_helper import get_dimensions
from database.case_queries import get_conf_location_id, get_sensor_aggregation, get_number_of_intervals

class Current_case:

    def get_location_name(self):
        return self.location_name

    def get_prediction_horizon(self):
        return self.prediction_horizon

    def __init__(self, location_name, prediction_horizon, sensors):
        self.location_name = location_name
        self.prediction_horizon = prediction_horizon
        self.sensors = sensors
        self.ts = self.get_ts()
        self.dimensions = get_dimensions(get_conf_location_id(self.location_name)[0])

    def group_fun(self, item):
        return item[0]

    def get_number_of_intervals(self, sensor_id):
        sensor_type_id = get_sensor_aggregation(sensor_id)
        return get_number_of_intervals(sensor_type_id)



