module.exports = function (app, db, bcrypt, jwt, hbs) {

    app.get("/login", function (req, res) {
        res.render("partials/widget-login")
    })

    app.get("/", function (req, res) {
        req.session.token = ""
        res.render("partials/widget-login")
    })


    app.get("/form", function(req, res) {
        res.render("partials/widget-form")
    })

    app.get("/insertUser", function(req, res) {
        const myPlaintextPassword = "kiketfm22";
        const hash = bcrypt.hashSync(myPlaintextPassword, 5);
        db.insertUser(hash, function(response){})
    })
    app.post("/login", function (req, res) {
        let username = req.body.username
        let password = req.body.password
        let lang = req.query.lang
        db.findUsername(username, function(response) {
            if (response.length != 0) {
                let userId = response[0].user_id
                let user = response[0].username
                let pass = response[0].password

                if (!bcrypt.compareSync(password, pass)){
                    res.status(400)
                    if (lang) {
                        res.render("partials/widget-login", {message:"{{translation.API_POST_LOGIN_ERROR}}", messageType:"alert alert-danger alert-dismissible"})
                    }
                    res.render("partials/widget-login", {message:"{{translation.API_POST_LOGIN_ERROR}}", messageType:"alert alert-danger alert-dismissible"})
                }
                else {
                    let token = jwt.sign({
                        user: user,
                        id: userId
                    }, "inundatio", {
                        expiresIn: 3600
                    })
                    res.status(302)
                    req.session.token = token
                    if (lang){
                        let compiledMessage = hbs.compile('{{__ "API_POST_LOGIN_SUCCESS"}}')
                        res.render("partials/widget-form", {
                            hasMessage: true,
                            message: compiledMessage,
                            messageType: "alert alert-danger alert dismissible"
                        })

                    }
                    res.render("partials/widget-form")
                }
            }
            else {
                if (lang) {
                    let compiledMessage = hbs.compile('{{__ "API_POST_LOGIN_ERROR"}}')
                    res.render("partials/widget-login", {
                        hasMessage: true,
                        message: compiledMessage,
                        messageType:"alert alert-danger alert-dismissible"
                    })

                }
                let compiledMessage = hbs.compile('{{__ "API_POST_LOGIN_ERROR"}}')
                res.render("partials/widget-login", {
                    hasMessage: true,
                    message: compiledMessage,
                    messageType: "alert alert-danger alert-dismissible",
                })

            }
        })
    })
}
