/**
 * Helper function for showing a message on screen.
 */
function showMessage(messageContent) {
    console.log("Message content:")
    console.log(messageContent)
    $("#messageInfo").remove()

    // let compiledMsg = Handlebars.compile("<div id='messageInfo' class='" + messageContent.messageType + "'>" +
    //     "<button type='button' class='close' data-dismiss='alert'>&times;</button>" + messageContent.message + "</div>")
    let compiledMsg = Handlebars.compile("<div id='messageInfo' class='" + messageContent.messageType + "'>" +
        "<button type='button' class='close' data-dismiss='alert'>&times;</button>" + i18next.t(messageContent.message) + "</div>")
    $("#big-main-container").prepend(compiledMsg({}));

   }


/**
 * Remove message container information
 */
function resetMessage() {
    $("#messageInfo").remove()
}


function updateCBRApp() {
    $.ajax({
        url: URLbase + "/update",
        type: "GET",
        data: {},
        dataType: 'json',
        success: function(respuesta) {
            console.log("Success updating cbr app: " + respuesta)
        },
        error: function(error) {
            //showMessage(error)
        },
    })
}