
INSERT INTO web_conf_basin VALUES ('Nive');
INSERT INTO web_conf_basin VALUES ('Venero Claro');

INSERT INTO web_conf_distance_function VALUES ('Weighted Sum');
INSERT INTO web_conf_distance_function VALUES ('Sobol Indexes');

INSERT INTO web_conf_prediction_horizon VALUES (1, 'hours', 1,1,6,12,12);

INSERT INTO web_conf_selection_criteria VALUES ('Pareto Dominance');
INSERT INTO web_conf_selection_criteria VALUES ('Minimazing a Single Criteria');

INSERT INTO web_conf_selection_mode VALUES ('Distance Threshold');
INSERT INTO web_conf_selection_mode VALUES ('Number of Neighbour');

INSERT INTO web_conf_sensor_aggregation VALUES ('Avg');
INSERT INTO web_conf_sensor_aggregation VALUES ('Max');
INSERT INTO web_conf_sensor_aggregation VALUES ('None');

INSERT INTO web_conf_sensor_type VALUES ('Water Discharge Level');
INSERT INTO web_conf_sensor_type VALUES ('Rainfall Gauge');
INSERT INTO web_conf_sensor_type VALUES ('Rainfall Forecast');

INSERT INTO web_conf_location VALUES (1, 'Cambo les Bains', 0, 100, 20, 450, 150, '1 hour', 'Water Discharge Level', 'Nive');
INSERT INTO web_conf_location VALUES (2, 'Osses', 0, 100, 20, 450, 150, '1 hour', 'Water Discharge Level', 'Nive');
INSERT INTO web_conf_location VALUES (3, 'Venero Claro', 0, 100, 0, 2000, 730, '1 hour', 'Water Discharge Level', 'Venero Claro');

INSERT INTO web_location_sensor_aggregation VALUES (1, 9, 3, 'None', 'Water Discharge Level');
INSERT INTO web_location_sensor_aggregation VALUES (2, 5, 3, 'Avg', 'Rainfall Gauge');
INSERT INTO web_location_sensor_aggregation VALUES (3, 9, 3, 'None', 'Rainfall Forecast');
INSERT INTO web_location_sensor_aggregation VALUES (4, 6, 1, 'Avg', 'Water Discharge Level');
INSERT INTO web_location_sensor_aggregation VALUES (5, 6, 1, 'Avg', 'Rainfall Gauge');
INSERT INTO web_location_sensor_aggregation VALUES (6, 3, 1, 'None', 'Rainfall Forecast');
INSERT INTO web_location_sensor_aggregation VALUES (7, 9, 2, 'None', 'Water Discharge Level');
INSERT INTO web_location_sensor_aggregation VALUES (8, 5, 2, 'Avg', 'Rainfall Gauge');
INSERT INTO web_location_sensor_aggregation VALUES (9, 9, 2, 'None', 'Rainfall Forecast');

INSERT INTO web_access_data VALUES (1,'https://opendata.aemet.es/opendata/api/prediccion/especifica/municipio/horaria/05163/?api_key=', 'None', 'pass', 1);
INSERT INTO web_access_data VALUES (2,'https://www.weatherlink.com/', 'EstacionesNavaluenga', 'pass', 2);
INSERT INTO web_access_data VALUES (3,'https://www.weatherlink.com/', 'EstacionesNavaluenga', 'pass', 3);
INSERT INTO web_access_data VALUES (4,'https://www.weatherlink.com/', 'EstacionesNavaluenga', 'pass', 4);
INSERT INTO web_access_data VALUES (5,'https://www.weatherlink.com/', 'VeneroClaro', 'pass', 5);
INSERT INTO web_access_data VALUES (6,'https://www.weatherlink.com/', 'EstacionesNavaluenga', 'pass', 6);
INSERT INTO web_access_data VALUES (7,'https://www.weatherlink.com/', 'EstacionesNavaluenga', 'pass', 7);
INSERT INTO web_access_data VALUES (8,'ftp.igme.es', 'a.diez', 'pass', 8);
INSERT INTO web_access_data VALUES (9,'https://www.vigicrues.gouv.fr/niv3-station.php?CdEntVigiCru=23&CdStationHydro=Q910251001&GrdSerie=H&ZoomInitial=1', 'none', 'none', 9);
INSERT INTO web_access_data VALUES (10,'pending', 'pending', 'pending', 10);
INSERT INTO web_access_data VALUES (11,'https://www.vigicrues.gouv.fr/niv3-station.php?CdEntVigiCru=23&CdStationHydro=Q910251001&GrdSerie=H&ZoomInitial=1', 'none', 'none', 11);
INSERT INTO web_access_data VALUES (12,'url', 'none', 'none', 12);
INSERT INTO web_access_data VALUES (13,'urlForecast', 'none', 'none', 13);
INSERT INTO web_access_data VALUES (14,'https://www.vigicrues.gouv.fr/niv3-station.php?CdEntVigiCru=23&CdStationHydro=Q931251001&GrdSerie=H&ZoomInitial=1', 'none', 'none', 14);
INSERT INTO web_access_data VALUES (15,'forecast', 'none', 'none', 15);

INSERT INTO web_location_sensor VALUES (1, 'VC-RF1', 60, false, 3, 3);
INSERT INTO web_location_sensor VALUES (2, 'VC-RG1', 5, false, 2, 3);
INSERT INTO web_location_sensor VALUES (3, 'VC-RG2', 5, false, 2, 3);
INSERT INTO web_location_sensor VALUES (4, 'VC-RG3', 5, false, 2, 3);
INSERT INTO web_location_sensor VALUES (5, 'VC-RG4', 5, false, 2, 3);
INSERT INTO web_location_sensor VALUES (6, 'VC-RG5', 5, false, 2, 3);
INSERT INTO web_location_sensor VALUES (7, 'VC-RG6', 5, false, 2, 3);
INSERT INTO web_location_sensor VALUES (8, 'VC-WDL1', 10, true, 1, 3);
INSERT INTO web_location_sensor VALUES (9, 'ParatronicLPN8/1', 5, true, 4, 1);
INSERT INTO web_location_sensor VALUES (10, 'VEGA C23', 5, false, 4, 1);
INSERT INTO web_location_sensor VALUES (11, 'pending', 5, false, 5, 1);
INSERT INTO web_location_sensor VALUES (15, 'FR_FORECAST', 5, false, 6, 1);
INSERT INTO web_location_sensor VALUES (13, 'RGOSSES', 5, false, 7, 2);
INSERT INTO web_location_sensor VALUES (14, 'FORECAST', 5, false, 8, 2);
INSERT INTO web_location_sensor VALUES (12, 'VEGAC23', 5, false, 9, 2);


INSERT INTO web_location_time_horizon VALUES (1,1,3,1.1,0.8,0.75,0.65,0.1,'Weighted Sum', 'Distance Threshold', 'Pareto Dominance', 1);
INSERT INTO web_location_time_horizon VALUES (1,2,3,1.1,0.8,0.75,0.65,0.1,'Weighted Sum', 'Distance Threshold', 'Pareto Dominance', 1);
INSERT INTO web_location_time_horizon VALUES (1,3,3,1.1,0.8,0.75,0.65,0.1,'Weighted Sum', 'Distance Threshold', 'Pareto Dominance', 1);
INSERT INTO web_location_time_horizon VALUES (1,4,3,1.1,0.8,0.75,0.65,0.1,'Weighted Sum', 'Distance Threshold', 'Pareto Dominance', 1);
INSERT INTO web_location_time_horizon VALUES (1,5,3,1.1,0.8,0.75,0.65,0.1,'Weighted Sum', 'Distance Threshold', 'Pareto Dominance', 1);
INSERT INTO web_location_time_horizon VALUES (1,6,3,1.1,0.8,0.75,0.65,0.1,'Weighted Sum', 'Distance Threshold', 'Pareto Dominance', 1);
INSERT INTO web_location_time_horizon VALUES (2,1,3,1.1,0.8,0.75,0.65,0.1,'Weighted Sum', 'Distance Threshold', 'Pareto Dominance', 1);
INSERT INTO web_location_time_horizon VALUES (2,2,3,1.1,0.8,0.75,0.65,0.1,'Weighted Sum', 'Distance Threshold', 'Pareto Dominance', 1);
INSERT INTO web_location_time_horizon VALUES (2,3,3,1.1,0.8,0.75,0.65,0.1,'Weighted Sum', 'Distance Threshold', 'Pareto Dominance', 1);
INSERT INTO web_location_time_horizon VALUES (2,4,3,1.1,0.8,0.75,0.65,0.1,'Weighted Sum', 'Distance Threshold', 'Pareto Dominance', 1);
INSERT INTO web_location_time_horizon VALUES (2,5,3,1.1,0.8,0.75,0.65,0.1,'Weighted Sum', 'Distance Threshold', 'Pareto Dominance', 1);
INSERT INTO web_location_time_horizon VALUES (2,6,3,1.1,0.8,0.75,0.65,0.1,'Weighted Sum', 'Distance Threshold', 'Pareto Dominance', 1);
INSERT INTO web_location_time_horizon VALUES (3,1,3,1.1,0.8,0.75,0.65,0.1,'Weighted Sum', 'Distance Threshold', 'Pareto Dominance', 1);
INSERT INTO web_location_time_horizon VALUES (3,2,3,1.1,0.8,0.75,0.65,0.1,'Weighted Sum', 'Distance Threshold', 'Pareto Dominance', 1);
INSERT INTO web_location_time_horizon VALUES (3,3,3,1.1,0.8,0.75,0.65,0.1,'Weighted Sum', 'Distance Threshold', 'Pareto Dominance', 1);
INSERT INTO web_location_time_horizon VALUES (3,4,3,1.1,0.8,0.75,0.65,0.1,'Weighted Sum', 'Distance Threshold', 'Pareto Dominance', 1);
INSERT INTO web_location_time_horizon VALUES (3,5,3,1.1,0.8,0.75,0.65,0.1,'Weighted Sum', 'Distance Threshold', 'Pareto Dominance', 1);
INSERT INTO web_location_time_horizon VALUES (3,6,3,1.1,0.8,0.75,0.65,0.1,'Weighted Sum', 'Distance Threshold', 'Pareto Dominance', 1);


INSERT INTO web_weights VALUES (1,1,1,1,9,0.1);
INSERT INTO web_weights VALUES (2,2,1,1,9,0.1);
INSERT INTO web_weights VALUES (3,3,1,1,9,0.1);
INSERT INTO web_weights VALUES (4,4,1,1,9,0.1);
INSERT INTO web_weights VALUES (5,5,1,1,9,0.1);
INSERT INTO web_weights VALUES (6,6,1,1,9,0.1);
INSERT INTO web_weights VALUES (7,1,2,1,9,0.1);
INSERT INTO web_weights VALUES (8,2,2,1,9,0.1);
INSERT INTO web_weights VALUES (9,3,2,1,9,0.1);
INSERT INTO web_weights VALUES (10,4,2,1,9,0.1);
INSERT INTO web_weights VALUES (11,5,2,1,9,0.1);
INSERT INTO web_weights VALUES (12,6,2,1,9,0.1);
INSERT INTO web_weights VALUES (13,1,3,1,9,0.1);
INSERT INTO web_weights VALUES (14,2,3,1,9,0.1);
INSERT INTO web_weights VALUES (15,3,3,1,9,0.1);
INSERT INTO web_weights VALUES (16,4,3,1,9,0.1);
INSERT INTO web_weights VALUES (17,5,3,1,9,0.1);
INSERT INTO web_weights VALUES (18,6,3,1,9,0.1);
INSERT INTO web_weights VALUES (19,1,4,1,9,0.1);
INSERT INTO web_weights VALUES (20,2,4,1,9,0.1);
INSERT INTO web_weights VALUES (21,3,4,1,9,0.1);
INSERT INTO web_weights VALUES (22,4,4,1,9,0.1);
INSERT INTO web_weights VALUES (23,5,4,1,9,0.1);
INSERT INTO web_weights VALUES (24,6,4,1,9,0.1);
INSERT INTO web_weights VALUES (25,1,5,1,9,0.1);
INSERT INTO web_weights VALUES (26,2,5,1,9,0.1);
INSERT INTO web_weights VALUES (27,3,5,1,9,0.1);
INSERT INTO web_weights VALUES (28,4,5,1,9,0.1);
INSERT INTO web_weights VALUES (29,5,5,1,9,0.1);
INSERT INTO web_weights VALUES (30,6,5,1,9,0.1);
INSERT INTO web_weights VALUES (31,1,6,1,9,0.1);
INSERT INTO web_weights VALUES (32,2,6,1,9,0.1);
INSERT INTO web_weights VALUES (33,3,6,1,9,0.1);
INSERT INTO web_weights VALUES (34,4,6,1,9,0.1);
INSERT INTO web_weights VALUES (35,5,6,1,9,0.1);
INSERT INTO web_weights VALUES (36,6,6,1,9,0.1);



INSERT INTO web_weights VALUES (37,1,1,1,10,0.1);
INSERT INTO web_weights VALUES (38,2,1,1,10,0.1);
INSERT INTO web_weights VALUES (39,3,1,1,10,0.1);
INSERT INTO web_weights VALUES (40,4,1,1,10,0.1);
INSERT INTO web_weights VALUES (41,5,1,1,10,0.1);
INSERT INTO web_weights VALUES (42,6,1,1,10,0.1);
INSERT INTO web_weights VALUES (43,1,2,1,10,0.1);
INSERT INTO web_weights VALUES (44,2,2,1,10,0.1);
INSERT INTO web_weights VALUES (45,3,2,1,10,0.1);
INSERT INTO web_weights VALUES (46,4,2,1,10,0.1);
INSERT INTO web_weights VALUES (47,5,2,1,10,0.1);
INSERT INTO web_weights VALUES (48,6,2,1,10,0.1);
INSERT INTO web_weights VALUES (49,1,3,1,10,0.1);
INSERT INTO web_weights VALUES (50,2,3,1,10,0.1);
INSERT INTO web_weights VALUES (51,3,3,1,10,0.1);
INSERT INTO web_weights VALUES (52,4,3,1,10,0.1);
INSERT INTO web_weights VALUES (53,5,3,1,10,0.1);
INSERT INTO web_weights VALUES (54,6,3,1,10,0.1);
INSERT INTO web_weights VALUES (55,1,4,1,10,0.1);
INSERT INTO web_weights VALUES (56,2,4,1,10,0.1);
INSERT INTO web_weights VALUES (57,3,4,1,10,0.1);
INSERT INTO web_weights VALUES (58,4,4,1,10,0.1);
INSERT INTO web_weights VALUES (59,5,4,1,10,0.1);
INSERT INTO web_weights VALUES (60,6,4,1,10,0.1);
INSERT INTO web_weights VALUES (61,1,5,1,10,0.1);
INSERT INTO web_weights VALUES (62,2,5,1,10,0.1);
INSERT INTO web_weights VALUES (63,3,5,1,10,0.1);
INSERT INTO web_weights VALUES (64,4,5,1,10,0.1);
INSERT INTO web_weights VALUES (65,5,5,1,10,0.1);
INSERT INTO web_weights VALUES (66,6,5,1,10,0.1);
INSERT INTO web_weights VALUES (67,1,6,1,10,0.1);
INSERT INTO web_weights VALUES (68,2,6,1,10,0.1);
INSERT INTO web_weights VALUES (69,3,6,1,10,0.1);
INSERT INTO web_weights VALUES (70,4,6,1,10,0.1);
INSERT INTO web_weights VALUES (71,5,6,1,10,0.1);
INSERT INTO web_weights VALUES (72,6,6,1,10,0.1);


INSERT INTO web_weights VALUES (73,1,1,1,11,0.1);
INSERT INTO web_weights VALUES (74,2,1,1,11,0.1);
INSERT INTO web_weights VALUES (75,3,1,1,11,0.1);
INSERT INTO web_weights VALUES (76,4,1,1,11,0.1);
INSERT INTO web_weights VALUES (77,5,1,1,11,0.1);
INSERT INTO web_weights VALUES (78,6,1,1,11,0.1);
INSERT INTO web_weights VALUES (79,1,2,1,11,0.1);
INSERT INTO web_weights VALUES (80,2,2,1,11,0.1);
INSERT INTO web_weights VALUES (81,3,2,1,11,0.1);
INSERT INTO web_weights VALUES (82,4,2,1,11,0.1);
INSERT INTO web_weights VALUES (83,5,2,1,11,0.1);
INSERT INTO web_weights VALUES (84,6,2,1,11,0.1);
INSERT INTO web_weights VALUES (85,1,3,1,11,0.1);
INSERT INTO web_weights VALUES (86,2,3,1,11,0.1);
INSERT INTO web_weights VALUES (87,3,3,1,11,0.1);
INSERT INTO web_weights VALUES (88,4,3,1,11,0.1);
INSERT INTO web_weights VALUES (89,5,3,1,11,0.1);
INSERT INTO web_weights VALUES (90,6,3,1,11,0.1);
INSERT INTO web_weights VALUES (91,1,4,1,11,0.1);
INSERT INTO web_weights VALUES (92,2,4,1,11,0.1);
INSERT INTO web_weights VALUES (93,3,4,1,11,0.1);
INSERT INTO web_weights VALUES (94,4,4,1,11,0.1);
INSERT INTO web_weights VALUES (95,5,4,1,11,0.1);
INSERT INTO web_weights VALUES (96,6,4,1,11,0.1);
INSERT INTO web_weights VALUES (97,1,5,1,11,0.1);
INSERT INTO web_weights VALUES (98,2,5,1,11,0.1);
INSERT INTO web_weights VALUES (99,3,5,1,11,0.1);
INSERT INTO web_weights VALUES (100,4,5,1,11,0.1);
INSERT INTO web_weights VALUES (101,5,5,1,11,0.1);
INSERT INTO web_weights VALUES (102,6,5,1,11,0.1);
INSERT INTO web_weights VALUES (103,1,6,1,11,0.1);
INSERT INTO web_weights VALUES (104,2,6,1,11,0.1);
INSERT INTO web_weights VALUES (105,3,6,1,11,0.1);
INSERT INTO web_weights VALUES (106,4,6,1,11,0.1);
INSERT INTO web_weights VALUES (107,5,6,1,11,0.1);
INSERT INTO web_weights VALUES (108,6,6,1,11,0.1);


INSERT INTO web_weights VALUES (109,1,1,1,15,0.1);
INSERT INTO web_weights VALUES (110,2,1,1,15,0.1);
INSERT INTO web_weights VALUES (111,3,1,1,15,0.1);
-- INSERT INTO web_weights VALUES (112,4,1,1,15,0.1);
-- INSERT INTO web_weights VALUES (113,5,1,1,15,0.1);
-- INSERT INTO web_weights VALUES (114,6,1,1,15,0.1);
-- INSERT INTO web_weights VALUES (115,7,1,1,15,0.1);
-- INSERT INTO web_weights VALUES (116,8,1,1,15,0.1);
-- INSERT INTO web_weights VALUES (117,9,1,1,15,0.1);
INSERT INTO web_weights VALUES (118,1,2,1,15,0.1);
INSERT INTO web_weights VALUES (119,2,2,1,15,0.1);
INSERT INTO web_weights VALUES (120,3,2,1,15,0.1);
-- INSERT INTO web_weights VALUES (121,4,2,1,15,0.1);
-- INSERT INTO web_weights VALUES (122,5,2,1,15,0.1);
-- INSERT INTO web_weights VALUES (123,6,2,1,15,0.1);
-- INSERT INTO web_weights VALUES (124,7,2,1,15,0.1);
-- INSERT INTO web_weights VALUES (125,8,2,1,15,0.1);
-- INSERT INTO web_weights VALUES (126,9,2,1,15,0.1);
INSERT INTO web_weights VALUES (127,1,3,1,15,0.1);
INSERT INTO web_weights VALUES (128,2,3,1,15,0.1);
INSERT INTO web_weights VALUES (129,3,3,1,15,0.1);
-- INSERT INTO web_weights VALUES (130,4,3,1,15,0.1);
-- INSERT INTO web_weights VALUES (131,5,3,1,15,0.1);
-- INSERT INTO web_weights VALUES (132,6,3,1,15,0.1);
-- INSERT INTO web_weights VALUES (133,7,3,1,15,0.1);
-- INSERT INTO web_weights VALUES (134,8,3,1,15,0.1);
-- INSERT INTO web_weights VALUES (135,9,3,1,15,0.1);
INSERT INTO web_weights VALUES (136,1,4,1,15,0.1);
INSERT INTO web_weights VALUES (137,2,4,1,15,0.1);
INSERT INTO web_weights VALUES (138,3,4,1,15,0.1);
-- INSERT INTO web_weights VALUES (139,4,4,1,15,0.1);
-- INSERT INTO web_weights VALUES (140,5,4,1,15,0.1);
-- INSERT INTO web_weights VALUES (141,6,4,1,15,0.1);
-- INSERT INTO web_weights VALUES (142,7,4,1,15,0.1);
-- INSERT INTO web_weights VALUES (143,8,4,1,15,0.1);
-- INSERT INTO web_weights VALUES (144,9,4,1,15,0.1);
INSERT INTO web_weights VALUES (145,1,5,1,15,0.1);
INSERT INTO web_weights VALUES (146,2,5,1,15,0.1);
INSERT INTO web_weights VALUES (147,3,5,1,15,0.1);
-- INSERT INTO web_weights VALUES (148,4,5,1,15,0.1);
-- INSERT INTO web_weights VALUES (149,5,5,1,15,0.1);
-- INSERT INTO web_weights VALUES (150,6,5,1,15,0.1);
-- INSERT INTO web_weights VALUES (151,7,5,1,15,0.1);
-- INSERT INTO web_weights VALUES (152,8,5,1,15,0.1);
-- INSERT INTO web_weights VALUES (153,9,5,1,15,0.1);
INSERT INTO web_weights VALUES (154,1,6,1,15,0.1);
INSERT INTO web_weights VALUES (155,2,6,1,15,0.1);
INSERT INTO web_weights VALUES (156,3,6,1,15,0.1);
-- INSERT INTO web_weights VALUES (157,4,6,1,15,0.1);
-- INSERT INTO web_weights VALUES (158,5,6,1,15,0.1);
-- INSERT INTO web_weights VALUES (159,6,6,1,15,0.1);
-- INSERT INTO web_weights VALUES (160,7,6,1,15,0.1);
-- INSERT INTO web_weights VALUES (161,8,6,1,15,0.1);
-- INSERT INTO web_weights VALUES (162,9,6,1,15,0.1);


INSERT INTO web_weights VALUES (163,1,1,3,1,0.1);
INSERT INTO web_weights VALUES (164,2,1,3,1,0.1);
INSERT INTO web_weights VALUES (165,3,1,3,1,0.1);
INSERT INTO web_weights VALUES (166,4,1,3,1,0.1);
INSERT INTO web_weights VALUES (167,5,1,3,1,0.1);
INSERT INTO web_weights VALUES (168,6,1,3,1,0.1);
INSERT INTO web_weights VALUES (169,7,1,3,1,0.1);
INSERT INTO web_weights VALUES (170,8,1,3,1,0.1);
INSERT INTO web_weights VALUES (171,9,1,3,1,0.1);
INSERT INTO web_weights VALUES (172,1,2,3,1,0.1);
INSERT INTO web_weights VALUES (173,2,2,3,1,0.1);
INSERT INTO web_weights VALUES (174,3,2,3,1,0.1);
INSERT INTO web_weights VALUES (175,4,2,3,1,0.1);
INSERT INTO web_weights VALUES (176,5,2,3,1,0.1);
INSERT INTO web_weights VALUES (177,6,2,3,1,0.1);
INSERT INTO web_weights VALUES (178,7,2,3,1,0.1);
INSERT INTO web_weights VALUES (179,8,2,3,1,0.1);
INSERT INTO web_weights VALUES (180,9,2,3,1,0.1);
INSERT INTO web_weights VALUES (181,1,3,3,1,0.1);
INSERT INTO web_weights VALUES (182,2,3,3,1,0.1);
INSERT INTO web_weights VALUES (183,3,3,3,1,0.1);
INSERT INTO web_weights VALUES (184,4,3,3,1,0.1);
INSERT INTO web_weights VALUES (185,5,3,3,1,0.1);
INSERT INTO web_weights VALUES (186,6,3,3,1,0.1);
INSERT INTO web_weights VALUES (187,7,3,3,1,0.1);
INSERT INTO web_weights VALUES (188,8,3,3,1,0.1);
INSERT INTO web_weights VALUES (189,9,3,3,1,0.1);
INSERT INTO web_weights VALUES (190,1,4,3,1,0.1);
INSERT INTO web_weights VALUES (191,2,4,3,1,0.1);
INSERT INTO web_weights VALUES (192,3,4,3,1,0.1);
INSERT INTO web_weights VALUES (193,4,4,3,1,0.1);
INSERT INTO web_weights VALUES (194,5,4,3,1,0.1);
INSERT INTO web_weights VALUES (195,6,4,3,1,0.1);
INSERT INTO web_weights VALUES (196,7,4,3,1,0.1);
INSERT INTO web_weights VALUES (197,8,4,3,1,0.1);
INSERT INTO web_weights VALUES (198,9,4,3,1,0.1);
INSERT INTO web_weights VALUES (199,1,5,3,1,0.1);
INSERT INTO web_weights VALUES (200,2,5,3,1,0.1);
INSERT INTO web_weights VALUES (201,3,5,3,1,0.1);
INSERT INTO web_weights VALUES (202,4,5,3,1,0.1);
INSERT INTO web_weights VALUES (203,5,5,3,1,0.1);
INSERT INTO web_weights VALUES (204,6,5,3,1,0.1);
INSERT INTO web_weights VALUES (205,7,5,3,1,0.1);
INSERT INTO web_weights VALUES (206,8,5,3,1,0.1);
INSERT INTO web_weights VALUES (207,9,5,3,1,0.1);
INSERT INTO web_weights VALUES (208,1,6,3,1,0.1);
INSERT INTO web_weights VALUES (209,2,6,3,1,0.1);
INSERT INTO web_weights VALUES (210,3,6,3,1,0.1);
INSERT INTO web_weights VALUES (211,4,6,3,1,0.1);
INSERT INTO web_weights VALUES (212,5,6,3,1,0.1);
INSERT INTO web_weights VALUES (213,6,6,3,1,0.1);
INSERT INTO web_weights VALUES (214,7,6,3,1,0.1);
INSERT INTO web_weights VALUES (215,8,6,3,1,0.1);
INSERT INTO web_weights VALUES (216,9,6,3,1,0.1);




INSERT INTO web_weights VALUES (217,1,1,3,2,0.1);
INSERT INTO web_weights VALUES (218,2,1,3,2,0.1);
INSERT INTO web_weights VALUES (219,3,1,3,2,0.1);
INSERT INTO web_weights VALUES (220,4,1,3,2,0.1);
INSERT INTO web_weights VALUES (221,5,1,3,2,0.1);
INSERT INTO web_weights VALUES (222,1,2,3,2,0.1);
INSERT INTO web_weights VALUES (223,2,2,3,2,0.1);
INSERT INTO web_weights VALUES (224,3,2,3,2,0.1);
INSERT INTO web_weights VALUES (225,4,2,3,2,0.1);
INSERT INTO web_weights VALUES (226,5,2,3,2,0.1);
INSERT INTO web_weights VALUES (227,1,3,3,2,0.1);
INSERT INTO web_weights VALUES (228,2,3,3,2,0.1);
INSERT INTO web_weights VALUES (229,3,3,3,2,0.1);
INSERT INTO web_weights VALUES (230,4,3,3,2,0.1);
INSERT INTO web_weights VALUES (231,5,3,3,2,0.1);
INSERT INTO web_weights VALUES (232,1,4,3,2,0.1);
INSERT INTO web_weights VALUES (233,2,4,3,2,0.1);
INSERT INTO web_weights VALUES (234,3,4,3,2,0.1);
INSERT INTO web_weights VALUES (235,4,4,3,2,0.1);
INSERT INTO web_weights VALUES (236,5,4,3,2,0.1);
INSERT INTO web_weights VALUES (237,1,5,3,2,0.1);
INSERT INTO web_weights VALUES (238,2,5,3,2,0.1);
INSERT INTO web_weights VALUES (239,3,5,3,2,0.1);
INSERT INTO web_weights VALUES (240,4,5,3,2,0.1);
INSERT INTO web_weights VALUES (241,5,5,3,2,0.1);
INSERT INTO web_weights VALUES (242,1,6,3,2,0.1);
INSERT INTO web_weights VALUES (243,2,6,3,2,0.1);
INSERT INTO web_weights VALUES (244,3,6,3,2,0.1);
INSERT INTO web_weights VALUES (245,4,6,3,2,0.1);
INSERT INTO web_weights VALUES (246,5,6,3,2,0.1);





INSERT INTO web_weights VALUES (247,1,1,3,3,0.1);
INSERT INTO web_weights VALUES (248,2,1,3,3,0.1);
INSERT INTO web_weights VALUES (249,3,1,3,3,0.1);
INSERT INTO web_weights VALUES (250,4,1,3,3,0.1);
INSERT INTO web_weights VALUES (251,5,1,3,3,0.1);
INSERT INTO web_weights VALUES (252,1,2,3,3,0.1);
INSERT INTO web_weights VALUES (253,2,2,3,3,0.1);
INSERT INTO web_weights VALUES (254,3,2,3,3,0.1);
INSERT INTO web_weights VALUES (255,4,2,3,3,0.1);
INSERT INTO web_weights VALUES (256,5,2,3,3,0.1);
INSERT INTO web_weights VALUES (257,1,3,3,3,0.1);
INSERT INTO web_weights VALUES (258,2,3,3,3,0.1);
INSERT INTO web_weights VALUES (259,3,3,3,3,0.1);
INSERT INTO web_weights VALUES (260,4,3,3,3,0.1);
INSERT INTO web_weights VALUES (261,5,3,3,3,0.1);
INSERT INTO web_weights VALUES (262,1,4,3,3,0.1);
INSERT INTO web_weights VALUES (263,2,4,3,3,0.1);
INSERT INTO web_weights VALUES (264,3,4,3,3,0.1);
INSERT INTO web_weights VALUES (265,4,4,3,3,0.1);
INSERT INTO web_weights VALUES (266,5,4,3,3,0.1);
INSERT INTO web_weights VALUES (267,1,5,3,3,0.1);
INSERT INTO web_weights VALUES (268,2,5,3,3,0.1);
INSERT INTO web_weights VALUES (269,3,5,3,3,0.1);
INSERT INTO web_weights VALUES (270,4,5,3,3,0.1);
INSERT INTO web_weights VALUES (271,5,5,3,3,0.1);
INSERT INTO web_weights VALUES (272,1,6,3,3,0.1);
INSERT INTO web_weights VALUES (273,2,6,3,3,0.1);
INSERT INTO web_weights VALUES (274,3,6,3,3,0.1);
INSERT INTO web_weights VALUES (275,4,6,3,3,0.1);
INSERT INTO web_weights VALUES (276,5,6,3,3,0.1);





INSERT INTO web_weights VALUES (277,1,1,3,4,0.1);
INSERT INTO web_weights VALUES (278,2,1,3,4,0.1);
INSERT INTO web_weights VALUES (279,3,1,3,4,0.1);
INSERT INTO web_weights VALUES (280,4,1,3,4,0.1);
INSERT INTO web_weights VALUES (281,5,1,3,4,0.1);
INSERT INTO web_weights VALUES (282,1,2,3,4,0.1);
INSERT INTO web_weights VALUES (283,2,2,3,4,0.1);
INSERT INTO web_weights VALUES (284,3,2,3,4,0.1);
INSERT INTO web_weights VALUES (285,4,2,3,4,0.1);
INSERT INTO web_weights VALUES (286,5,2,3,4,0.1);
INSERT INTO web_weights VALUES (287,1,3,3,4,0.1);
INSERT INTO web_weights VALUES (288,2,3,3,4,0.1);
INSERT INTO web_weights VALUES (289,3,3,3,4,0.1);
INSERT INTO web_weights VALUES (290,4,3,3,4,0.1);
INSERT INTO web_weights VALUES (291,5,3,3,4,0.1);
INSERT INTO web_weights VALUES (292,1,4,3,4,0.1);
INSERT INTO web_weights VALUES (293,2,4,3,4,0.1);
INSERT INTO web_weights VALUES (294,3,4,3,4,0.1);
INSERT INTO web_weights VALUES (295,4,4,3,4,0.1);
INSERT INTO web_weights VALUES (296,5,4,3,4,0.1);
INSERT INTO web_weights VALUES (297,1,5,3,4,0.1);
INSERT INTO web_weights VALUES (298,2,5,3,4,0.1);
INSERT INTO web_weights VALUES (299,3,5,3,4,0.1);
INSERT INTO web_weights VALUES (300,4,5,3,4,0.1);
INSERT INTO web_weights VALUES (301,5,5,3,4,0.1);
INSERT INTO web_weights VALUES (302,1,6,3,4,0.1);
INSERT INTO web_weights VALUES (303,2,6,3,4,0.1);
INSERT INTO web_weights VALUES (304,3,6,3,4,0.1);
INSERT INTO web_weights VALUES (305,4,6,3,4,0.1);
INSERT INTO web_weights VALUES (306,5,6,3,4,0.1);





INSERT INTO web_weights VALUES (307,1,1,3,5,0.1);
INSERT INTO web_weights VALUES (308,2,1,3,5,0.1);
INSERT INTO web_weights VALUES (309,3,1,3,5,0.1);
INSERT INTO web_weights VALUES (310,4,1,3,5,0.1);
INSERT INTO web_weights VALUES (311,5,1,3,5,0.1);
INSERT INTO web_weights VALUES (312,1,2,3,5,0.1);
INSERT INTO web_weights VALUES (313,2,2,3,5,0.1);
INSERT INTO web_weights VALUES (314,3,2,3,5,0.1);
INSERT INTO web_weights VALUES (315,4,2,3,5,0.1);
INSERT INTO web_weights VALUES (316,5,2,3,5,0.1);
INSERT INTO web_weights VALUES (317,1,3,3,5,0.1);
INSERT INTO web_weights VALUES (318,2,3,3,5,0.1);
INSERT INTO web_weights VALUES (319,3,3,3,5,0.1);
INSERT INTO web_weights VALUES (320,4,3,3,5,0.1);
INSERT INTO web_weights VALUES (321,5,3,3,5,0.1);
INSERT INTO web_weights VALUES (322,1,4,3,5,0.1);
INSERT INTO web_weights VALUES (323,2,4,3,5,0.1);
INSERT INTO web_weights VALUES (324,3,4,3,5,0.1);
INSERT INTO web_weights VALUES (325,4,4,3,5,0.1);
INSERT INTO web_weights VALUES (326,5,4,3,5,0.1);
INSERT INTO web_weights VALUES (327,1,5,3,5,0.1);
INSERT INTO web_weights VALUES (328,2,5,3,5,0.1);
INSERT INTO web_weights VALUES (329,3,5,3,5,0.1);
INSERT INTO web_weights VALUES (330,4,5,3,5,0.1);
INSERT INTO web_weights VALUES (331,5,5,3,5,0.1);
INSERT INTO web_weights VALUES (332,1,6,3,5,0.1);
INSERT INTO web_weights VALUES (333,2,6,3,5,0.1);
INSERT INTO web_weights VALUES (334,3,6,3,5,0.1);
INSERT INTO web_weights VALUES (335,4,6,3,5,0.1);
INSERT INTO web_weights VALUES (336,5,6,3,5,0.1);



INSERT INTO web_weights VALUES (337,1,1,3,6,0.1);
INSERT INTO web_weights VALUES (338,2,1,3,6,0.1);
INSERT INTO web_weights VALUES (339,3,1,3,6,0.1);
INSERT INTO web_weights VALUES (340,4,1,3,6,0.1);
INSERT INTO web_weights VALUES (341,5,1,3,6,0.1);
INSERT INTO web_weights VALUES (342,1,2,3,6,0.1);
INSERT INTO web_weights VALUES (343,2,2,3,6,0.1);
INSERT INTO web_weights VALUES (344,3,2,3,6,0.1);
INSERT INTO web_weights VALUES (345,4,2,3,6,0.1);
INSERT INTO web_weights VALUES (346,5,2,3,6,0.1);
INSERT INTO web_weights VALUES (347,1,3,3,6,0.1);
INSERT INTO web_weights VALUES (348,2,3,3,6,0.1);
INSERT INTO web_weights VALUES (349,3,3,3,6,0.1);
INSERT INTO web_weights VALUES (350,4,3,3,6,0.1);
INSERT INTO web_weights VALUES (351,5,3,3,6,0.1);
INSERT INTO web_weights VALUES (352,1,4,3,6,0.1);
INSERT INTO web_weights VALUES (353,2,4,3,6,0.1);
INSERT INTO web_weights VALUES (354,3,4,3,6,0.1);
INSERT INTO web_weights VALUES (355,4,4,3,6,0.1);
INSERT INTO web_weights VALUES (356,5,4,3,6,0.1);
INSERT INTO web_weights VALUES (357,1,5,3,6,0.1);
INSERT INTO web_weights VALUES (358,2,5,3,6,0.1);
INSERT INTO web_weights VALUES (359,3,5,3,6,0.1);
INSERT INTO web_weights VALUES (360,4,5,3,6,0.1);
INSERT INTO web_weights VALUES (361,5,5,3,6,0.1);
INSERT INTO web_weights VALUES (362,1,6,3,6,0.1);
INSERT INTO web_weights VALUES (363,2,6,3,6,0.1);
INSERT INTO web_weights VALUES (364,3,6,3,6,0.1);
INSERT INTO web_weights VALUES (365,4,6,3,6,0.1);
INSERT INTO web_weights VALUES (366,5,6,3,6,0.1);


INSERT INTO web_weights VALUES (367,1,1,3,7,0.1);
INSERT INTO web_weights VALUES (368,2,1,3,7,0.1);
INSERT INTO web_weights VALUES (369,3,1,3,7,0.1);
INSERT INTO web_weights VALUES (370,4,1,3,7,0.1);
INSERT INTO web_weights VALUES (371,5,1,3,7,0.1);
INSERT INTO web_weights VALUES (372,1,2,3,7,0.1);
INSERT INTO web_weights VALUES (373,2,2,3,7,0.1);
INSERT INTO web_weights VALUES (374,3,2,3,7,0.1);
INSERT INTO web_weights VALUES (375,4,2,3,7,0.1);
INSERT INTO web_weights VALUES (376,5,2,3,7,0.1);
INSERT INTO web_weights VALUES (377,1,3,3,7,0.1);
INSERT INTO web_weights VALUES (378,2,3,3,7,0.1);
INSERT INTO web_weights VALUES (379,3,3,3,7,0.1);
INSERT INTO web_weights VALUES (380,4,3,3,7,0.1);
INSERT INTO web_weights VALUES (381,5,3,3,7,0.1);
INSERT INTO web_weights VALUES (382,1,4,3,7,0.1);
INSERT INTO web_weights VALUES (383,2,4,3,7,0.1);
INSERT INTO web_weights VALUES (384,3,4,3,7,0.1);
INSERT INTO web_weights VALUES (385,4,4,3,7,0.1);
INSERT INTO web_weights VALUES (386,5,4,3,7,0.1);
INSERT INTO web_weights VALUES (387,1,5,3,7,0.1);
INSERT INTO web_weights VALUES (388,2,5,3,7,0.1);
INSERT INTO web_weights VALUES (389,3,5,3,7,0.1);
INSERT INTO web_weights VALUES (390,4,5,3,7,0.1);
INSERT INTO web_weights VALUES (391,5,5,3,7,0.1);
INSERT INTO web_weights VALUES (392,1,6,3,7,0.1);
INSERT INTO web_weights VALUES (393,2,6,3,7,0.1);
INSERT INTO web_weights VALUES (394,3,6,3,7,0.1);
INSERT INTO web_weights VALUES (395,4,6,3,7,0.1);
INSERT INTO web_weights VALUES (396,5,6,3,7,0.1);



INSERT INTO web_weights VALUES (397,1,1,3,8,0.1);
INSERT INTO web_weights VALUES (398,2,1,3,8,0.1);
INSERT INTO web_weights VALUES (399,3,1,3,8,0.1);
INSERT INTO web_weights VALUES (400,4,1,3,8,0.1);
INSERT INTO web_weights VALUES (401,5,1,3,8,0.1);
INSERT INTO web_weights VALUES (402,6,1,3,8,0.1);
INSERT INTO web_weights VALUES (403,7,1,3,8,0.1);
INSERT INTO web_weights VALUES (404,8,1,3,8,0.1);
INSERT INTO web_weights VALUES (405,9,1,3,8,0.1);
INSERT INTO web_weights VALUES (406,1,2,3,8,0.1);
INSERT INTO web_weights VALUES (407,2,2,3,8,0.1);
INSERT INTO web_weights VALUES (408,3,2,3,8,0.1);
INSERT INTO web_weights VALUES (409,4,2,3,8,0.1);
INSERT INTO web_weights VALUES (410,5,2,3,8,0.1);
INSERT INTO web_weights VALUES (411,6,2,3,8,0.1);
INSERT INTO web_weights VALUES (412,7,2,3,8,0.1);
INSERT INTO web_weights VALUES (413,8,2,3,8,0.1);
INSERT INTO web_weights VALUES (414,9,2,3,8,0.1);
INSERT INTO web_weights VALUES (415,1,3,3,8,0.1);
INSERT INTO web_weights VALUES (416,2,3,3,8,0.1);
INSERT INTO web_weights VALUES (417,3,3,3,8,0.1);
INSERT INTO web_weights VALUES (418,4,3,3,8,0.1);
INSERT INTO web_weights VALUES (419,5,3,3,8,0.1);
INSERT INTO web_weights VALUES (420,6,3,3,8,0.1);
INSERT INTO web_weights VALUES (421,7,3,3,8,0.1);
INSERT INTO web_weights VALUES (422,8,3,3,8,0.1);
INSERT INTO web_weights VALUES (423,9,3,3,8,0.1);
INSERT INTO web_weights VALUES (424,1,4,3,8,0.1);
INSERT INTO web_weights VALUES (425,2,4,3,8,0.1);
INSERT INTO web_weights VALUES (426,3,4,3,8,0.1);
INSERT INTO web_weights VALUES (427,4,4,3,8,0.1);
INSERT INTO web_weights VALUES (428,5,4,3,8,0.1);
INSERT INTO web_weights VALUES (429,6,4,3,8,0.1);
INSERT INTO web_weights VALUES (430,7,4,3,8,0.1);
INSERT INTO web_weights VALUES (431,8,4,3,8,0.1);
INSERT INTO web_weights VALUES (432,9,4,3,8,0.1);
INSERT INTO web_weights VALUES (433,1,5,3,8,0.1);
INSERT INTO web_weights VALUES (434,2,5,3,8,0.1);
INSERT INTO web_weights VALUES (435,3,5,3,8,0.1);
INSERT INTO web_weights VALUES (436,4,5,3,8,0.1);
INSERT INTO web_weights VALUES (437,5,5,3,8,0.1);
INSERT INTO web_weights VALUES (438,6,5,3,8,0.1);
INSERT INTO web_weights VALUES (439,7,5,3,8,0.1);
INSERT INTO web_weights VALUES (440,8,5,3,8,0.1);
INSERT INTO web_weights VALUES (441,9,5,3,8,0.1);
INSERT INTO web_weights VALUES (442,1,6,3,8,0.1);
INSERT INTO web_weights VALUES (443,2,6,3,8,0.1);
INSERT INTO web_weights VALUES (444,3,6,3,8,0.1);
INSERT INTO web_weights VALUES (445,4,6,3,8,0.1);
INSERT INTO web_weights VALUES (446,5,6,3,8,0.1);
INSERT INTO web_weights VALUES (447,6,6,3,8,0.1);
INSERT INTO web_weights VALUES (448,7,6,3,8,0.1);
INSERT INTO web_weights VALUES (449,8,6,3,8,0.1);
INSERT INTO web_weights VALUES (450,9,6,3,8,0.1);


insert into web_load_line values (1,1,1,9,1.0);
insert into web_load_line values (2,2,1,9,1.0);
insert into web_load_line values (3,3,1,9,1.0);
insert into web_load_line values (4,4,1,9,1.0);
insert into web_load_line values (5,5,1,9,1.0);
insert into web_load_line values (6,6,1,9,1.0);
insert into web_load_line values (7,1,1,10,1.0);
insert into web_load_line values (8,2,1,10,1.0);
insert into web_load_line values (9,3,1,10,1.0);
insert into web_load_line values (10,4,1,10,1.0);
insert into web_load_line values (11,5,1,10,1.0);
insert into web_load_line values (12,6,1,10,1.0);
insert into web_load_line values (13,1,1,11,1.0);
insert into web_load_line values (14,2,1,11,1.0);
insert into web_load_line values (15,3,1,11,1.0);
insert into web_load_line values (16,4,1,11,1.0);
insert into web_load_line values (17,5,1,11,1.0);
insert into web_load_line values (18,6,1,11,1.0);
insert into web_load_line values (19,1,1,15,1.0);
insert into web_load_line values (20,2,1,15,1.0);
insert into web_load_line values (21,3,1,15,1.0);
insert into web_load_line values (22,4,1,15,1.0);
insert into web_load_line values (23,5,1,15,1.0);
insert into web_load_line values (24,6,1,15,1.0);



insert into registros values (1, 115140, 1, 0.8);
insert into registros values (2, 115140, 2, 1.2);
insert into registros values (3, 115140, 3, 1.2);
insert into registros values (4, 115140, 4, 1.4);
insert into registros values (5, 115140, 5, 1.4);
insert into registros values (6, 114626, 1, 0.8);
insert into registros values (7, 114626, 2, 0.8);
insert into registros values (8, 114626, 3, 1.4);
insert into registros values (9, 114626, 4, 1.6);
insert into registros values (10, 114626, 5, 1.6);
insert into registros values (11, 114569, 1, 0.8);
insert into registros values (12, 114569, 2, 0.8);
insert into registros values (13, 114569, 3, 1.2);
insert into registros values (14, 114569, 4, 1.8);
insert into registros values (15, 114569, 5, 1.8);
insert into registros values (16, 114970, 1, 1);
insert into registros values (17, 114970, 2, 1);
insert into registros values (18, 114970, 3, 1.2);
insert into registros values (19, 114970, 4, 1.2);
insert into registros values (20, 114970, 5, 0.8);
insert into registros values (21, 114668, 1, 0.6);
insert into registros values (22, 114668, 2, 0.8);
insert into registros values (23, 114668, 3, 1);
insert into registros values (24, 114668, 4, 1);
insert into registros values (25, 114668, 5, 1.4);
insert into registros values (26, 114669, 1, 0.6);
insert into registros values (27, 114669, 2, 0.8);
insert into registros values (28, 114669, 3, 1);
insert into registros values (29, 114669, 4, 1);
insert into registros values (30, 114669, 5, 1.4);


insert into ftp_registros values (1, 1, 0.02, 'UCL10972');
insert into ftp_registros values (2, 2, 0.02, 'UCL10972');
insert into ftp_registros values (3, 3, 0.03, 'UCL10972');
insert into ftp_registros values (4, 4, 0.05, 'UCL10972');
insert into ftp_registros values (5, 5, 0.05, 'UCL10972');
insert into ftp_registros values (6, 6, 0.05, 'UCL10972');
insert into ftp_registros values (7, 7, 0.06, 'UCL10972');
insert into ftp_registros values (8, 8, 0.08, 'UCL10972');
insert into ftp_registros values (9, 9, 0.08, 'UCL10972');